#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private Sessions[] cacheSessions;

		
		public Sessions Sessions(bool drawSessionRects, int gmtOffset, bool enableAsia, bool enableLondon, bool enableNYAM, bool enableNYPM)
		{
			return Sessions(Input, drawSessionRects, gmtOffset, enableAsia, enableLondon, enableNYAM, enableNYPM);
		}


		
		public Sessions Sessions(ISeries<double> input, bool drawSessionRects, int gmtOffset, bool enableAsia, bool enableLondon, bool enableNYAM, bool enableNYPM)
		{
			if (cacheSessions != null)
				for (int idx = 0; idx < cacheSessions.Length; idx++)
					if (cacheSessions[idx].DrawSessionRects == drawSessionRects && cacheSessions[idx].GmtOffset == gmtOffset && cacheSessions[idx].EnableAsia == enableAsia && cacheSessions[idx].EnableLondon == enableLondon && cacheSessions[idx].EnableNYAM == enableNYAM && cacheSessions[idx].EnableNYPM == enableNYPM && cacheSessions[idx].EqualsInput(input))
						return cacheSessions[idx];
			return CacheIndicator<Sessions>(new Sessions(){ DrawSessionRects = drawSessionRects, GmtOffset = gmtOffset, EnableAsia = enableAsia, EnableLondon = enableLondon, EnableNYAM = enableNYAM, EnableNYPM = enableNYPM }, input, ref cacheSessions);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.Sessions Sessions(bool drawSessionRects, int gmtOffset, bool enableAsia, bool enableLondon, bool enableNYAM, bool enableNYPM)
		{
			return indicator.Sessions(Input, drawSessionRects, gmtOffset, enableAsia, enableLondon, enableNYAM, enableNYPM);
		}


		
		public Indicators.Sessions Sessions(ISeries<double> input , bool drawSessionRects, int gmtOffset, bool enableAsia, bool enableLondon, bool enableNYAM, bool enableNYPM)
		{
			return indicator.Sessions(input, drawSessionRects, gmtOffset, enableAsia, enableLondon, enableNYAM, enableNYPM);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.Sessions Sessions(bool drawSessionRects, int gmtOffset, bool enableAsia, bool enableLondon, bool enableNYAM, bool enableNYPM)
		{
			return indicator.Sessions(Input, drawSessionRects, gmtOffset, enableAsia, enableLondon, enableNYAM, enableNYPM);
		}


		
		public Indicators.Sessions Sessions(ISeries<double> input , bool drawSessionRects, int gmtOffset, bool enableAsia, bool enableLondon, bool enableNYAM, bool enableNYPM)
		{
			return indicator.Sessions(input, drawSessionRects, gmtOffset, enableAsia, enableLondon, enableNYAM, enableNYPM);
		}

	}
}

#endregion
